# MetricsService | windmill-client
Documentation for windmill-client

# Class MetricsService

- Defined in src/services.gen.ts:6702

#####
Index

### Constructors

constructor

### Methods

getJobMetrics

##
Constructors

### constructor

- new MetricsService(): MetricsService

- #### Returns MetricsService

##
Methods

### `Static` getJobMetrics

- getJobMetrics(data): CancelablePromise < GetJobMetricsResponse >

- get job metrics

  #### Parameters

  - data: GetJobMetricsData

    The data for the request.

  #### Returns CancelablePromise < GetJobMetricsResponse >

  unknown job details

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:6712